
Foreman - Bug #1780

EPEL snippet broken

07/26/2012 08:08 AM - Andy Taylor

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category:    

Target version: 1.0.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently the EPEL snippet won't work due to this link being used:

http://download.fedoraproject.org/pub/epel/$major/$arch/epel-release-$os.noarch.rpm

As per this mailing list post:

http://lists.fedoraproject.org/pipermail/users/2012-February/414558.html

download.fedoraproject.org redirects elsewhere, which breaks the rpm command. If you change the subdomain to 'dl', like so:

http://dl.fedoraproject.org/pub/epel/$major/$arch/epel-release-$os.noarch.rpm

It works.

Associated revisions

Revision b22b6fe7 - 07/30/2012 02:28 PM - Sam Kottler

Fixes #1780 - changes EPEL url from download.fedoraproject.org to dl.fedoraproject.org

Revision 7d035168 - 07/30/2012 02:29 PM - Sam Kottler

Fixes #1780 - changes EPEL url from download.fedoraproject.org to dl.fedoraproject.org

History

#1 - 07/26/2012 08:13 AM - Ohad Levy

care to send a patch? (or github pull request etc)?

#2 - 07/26/2012 09:59 AM - Andy Taylor

Looks like I might have been running into a problem on my end as well - but this is probably still an issue. Maybe someone else doing CentOS 5

builds could give it a try?

#3 - 07/30/2012 01:46 PM - Sam Kottler

- Status changed from New to Pending

- Assignee set to Ohad Levy

https://github.com/theforeman/foreman/pull/119 fixes this issue.

#4 - 07/30/2012 02:29 PM - Ohad Levy

- Target version set to 1.1

#5 - 07/30/2012 02:29 PM - Anonymous

- Status changed from Pending to Closed
- % Done changed from 0 to 100

Applied in changeset 7d035168c2e0fb16fe968f3bb75fa4f05638d264.

#6 - 08/09/2012 09:53 AM - Ohad Levy

- Target version changed from 1.1 to 1.0.1
